# markdown-test

## details + blockquote

```html
<details open>
<summary>summary n</summary>
<blockquote>
content n
</blockquote>
</details>
```

[markdown-link](#some-blockquote-id)

<details open>
<summary>summary 1</summary>
<blockquote>
content 1 [markdown-link](#some-blockquote-id)
<details open>
<summary>summary 2 [markdown-link](#some-blockquote-id) <a href="#user-content-some-blockquote-id">html-link to content 3</a></summary>
<blockquote>
content 2
<details id="some-details-id" open>
<summary id="some-summary-id">summary 3</summary>
<blockquote id="some-blockquote-id">
content 3
**markdown bold**
<b>html bold</b>
</blockquote>
</details>
</blockquote>
</details>
</blockquote>
</details>

## blockquote + details

```html
<blockquote>
<details open>
<summary>summary n</summary>
content n
</details>
</blockquote>
```

<details open>
<summary>summary 1</summary>
details 1
<blockquote>
<details open>
<summary>summary 2</summary>
details 2
<blockquote>
<details open>
<summary>summary 3</summary>
details 3
<blockquote>
<details open>
<summary>summary 4</summary>
details 4
</details>
</blockquote>
</details>
</blockquote>
</details>
</blockquote>
</details>

## html list

problem: indent too large

<ul>
<li>
content 1
<ul>
<li>
content 2
<ul>
<li>
content 3
</li>
</ul>
</li>
</ul>
</li>
</ul>

### ordered list

<ol>
<li>
content 1
<ol>
<li>
content 2
<ol>
<li>
content 3
</li>
</ol>
</li>
</ol>
</li>
</ol>

## unicode non-breaking space

problem: not working in gitea

 hard
  coded
   space
    non-breaking space (or hard space)
     its Unicode representation is U+00A0

 a  
  b  

  asdf

     asdf

## html non-breaking space

problem: ugly source code

&nbsp;nbsp  
&nbsp;&nbsp;nbsp  
&nbsp;&nbsp;&nbsp;nbsp  
&nbsp;&nbsp;&nbsp;&nbsp;nbsp  

## definition list

problem: indent too large

Term 1
: definition 1
: definition 2

Term 2
: definition 1
: definition 2
  : definition 2a
  : definition 2b

## markdown tables

problem: ugly source

| OS        | Input method                      |
|-----------| ----------------------------------|
| macOS     | OPTION+SPACE (ALT+SPACE)          |
| Linux     | Compose Space Space or AltGr+Space|
| Windows   | Alt+0+1+6+0                       |

## html tables

oldschool!

problem: we need margin/padding only on the left side

<table><tr><td>
content 1
<table><tr><td>
content 2
<table><tr><td>
content 3
</td></tr></table>
</td></tr></table>
</td></tr></table>

## html style

problem: style is ignored

<div style="padding-left: 2em">
padding-left
</div>

<div style="margin-left: 2em">
margin-left
</div>

https://stackoverflow.com/questions/6046263/how-to-indent-a-few-lines-in-markdown-markup

Insert a hard space

| OS        | Input method                      |
|-----------| ----------------------------------|
| macOS     | OPTION+SPACE (ALT+SPACE)          |
| Linux     | Compose Space Space or AltGr+Space|
| Windows   | Alt+0+1+6+0                       |

Some text editor use Ctrl+Shift+Space.

<pre>
1

problem: text size becomes smaller and smaller

<pre>
2

<pre>
3
</pre>
</pre>

</pre>

<dt>t</dt>
<dd>
d
<dt>t2</dt>
<dd>d2</dd>
</dd>

div1

<div style="margin-left:1em">
div2
</div>

</div>

### a million headings

problem: maximum is h6, but we need infinite depth

#### h4

##### h5

###### h6

####### h7

######## h8


############### h15

